Ancestris

Le
ajh-valmer
Bonjour tous,

J'ai install ancestris depuis leur site.

Mais impossible de le lancer, malgr java 7 install.
"Cannot find java. Please use the --jdkhome switch"

Je dclare java dans ancestris.conf,
et voici la longue rponse :
Exception in thread "main" java.lang.UnsupportedClassVersionError:
org/openide/filesystems/FileUtil : Unsupported major.minor version 52.0
at java.lang.ClassLoader.defineClass1(Native Method)
at java.lang.ClassLoader.defineClass(ClassLoader.java:800)
at org.netbeans.JarClassLoader.doLoadClass(JarClassLoader.java:311)
at org.netbeans.ProxyClassLoader.selfLoadClass(ProxyClassLoader.java:259)
at org.netbeans.ProxyClassLoader.loadClass(ProxyClassLoader.java:187)
at java.lang.ClassLoader.loadClass(ClassLoader.java:358)
at org.netbeans.core.startup.CLIOptions.cli(CLIOptions.java:159)
at org.netbeans.core.startup.CLIOptions.cli(CLIOptions.java:98)
at org.netbeans.CLIHandler.notifyHandlers(CLIHandler.java:234)
at org.netbeans.CLIHandler.initialize(CLIHandler.java:519)
at org.netbeans.CLIHandler.initialize(CLIHandler.java:384)
at org.netbeans.MainImpl.execute(MainImpl.java:193)
at org.netbeans.MainImpl.main(MainImpl.java:85)
at org.netbeans.Main.main(Main.java:83)

Sinon, connaissez vous un logiciel de gnalogie,
ais lancer et utiliser ?

Merci,

A. Valmer
Vos réponses
Gagnez chaque mois un abonnement Premium avec GNT : Inscrivez-vous !
Trier par : date / pertinence
Daniel Caillibaud
Le #26527742
Le 09/10/19 à 14:51, "ajh-valmer"
Sinon, connaissez vous un logiciel de généalogie,
aisé à lancer et utiliser ?

Dans les paquets debian y'a gramps
https://packages.debian.org/buster/gramps
mais aussi https://packages.debian.org/buster/geneweb
ou en mode texte https://packages.debian.org/buster/lifelines
--
Daniel
Il est souvent trop tôt pour savoir s'il n'est pas
trop tard.
Pierre Dac
ajh-valmer
Le #26527754
On Wednesday 09 October 2019 15:07:07 Daniel Caillibaud wrote:
Le 09/10/19 à 14:51, "ajh-valmer"
Sinon, connaissez vous un logiciel de généalogie,
aisé à lancer et utiliser ?

Dans les paquets debian y'a gramps
https://packages.debian.org/buster/gramps
mais aussi https://packages.debian.org/buster/geneweb
ou en mode texte https://packages.debian.org/buster/lifelines

Merci,
Lequel est le plus aisé à utiliser ?
Eric Degenetais
Le #26527766
--0000000000009d4cdd05947b0976
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable
Sinon, le message d'erreur rencontré indique que le jdk 7 est trop vie ux
pour cette application Java. La version 52 correspond au jdk 8.
Cordialement
Éric Dégenètais
Le mer. 9 oct. 2019 14:51, ajh-valmer
Bonjour à tous,
J'ai installé ancestris depuis leur site.
Mais impossible de le lancer, malgré java 7 installé.
"Cannot find java. Please use the --jdkhome switch"
Je déclare java dans ancestris.conf,
et voici la longue réponse :
Exception in thread "main" java.lang.UnsupportedClassVersionError:
org/openide/filesystems/FileUtil : Unsupported major.minor version 52.0
at java.lang.ClassLoader.defineClass1(Native Method)
at java.lang.ClassLoader.defineClass(ClassLoader.java:800)
at org.netbeans.JarClassLoader.doLoadClass(JarClassLoader.java:311)
at org.netbeans.ProxyClassLoader.selfLoadClass(ProxyClassLoader.java:259)
at org.netbeans.ProxyClassLoader.loadClass(ProxyClassLoader.java:187)
at java.lang.ClassLoader.loadClass(ClassLoader.java:358)
at org.netbeans.core.startup.CLIOptions.cli(CLIOptions.java:159)
at org.netbeans.core.startup.CLIOptions.cli(CLIOptions.java:98)
at org.netbeans.CLIHandler.notifyHandlers(CLIHandler.java:234)
at org.netbeans.CLIHandler.initialize(CLIHandler.java:519)
at org.netbeans.CLIHandler.initialize(CLIHandler.java:384)
at org.netbeans.MainImpl.execute(MainImpl.java:193)
at org.netbeans.MainImpl.main(MainImpl.java:85)
at org.netbeans.Main.main(Main.java:83)
Sinon, connaissez vous un logiciel de généalogie,
aisé à lancer et utiliser ?
Merci,
A. Valmer


--0000000000009d4cdd05947b0976
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable
<br>
J&#39;ai installé ancestris depuis leur site.<br>
<br>
Mais impossible de le lancer, malgré java 7 installé.<br>
&quot;Cannot find java. Please use the --jdkhome switch&quot;<br>
<br>
Je déclare java dans ancestris.conf,<br>
et voici la longue réponse :<br>
Exception in thread &quot;main&quot; java.lang.UnsupportedClassVersionError : <br>
org/openide/filesystems/FileUtil : Unsupported major.minor version 52.0<br>
at java.lang.ClassLoader.defineClass1(Native Method)<br>
at java.lang.ClassLoader.defineClass(ClassLoader.java:800)<br>
at org.netbeans.JarClassLoader.doLoadClass(JarClassLoader.java:311)<br>
at org.netbeans.ProxyClassLoader.selfLoadClass(ProxyClassLoader.java:259)<b r>
at org.netbeans.ProxyClassLoader.loadClass(ProxyClassLoader.java:187)<br>
at java.lang.ClassLoader.loadClass(ClassLoader.java:358)<br>
at org.netbeans.core.startup.CLIOptions.cli(CLIOptions.java:159)<br>
at org.netbeans.core.startup.CLIOptions.cli(CLIOptions.java:98)<br>
at org.netbeans.CLIHandler.notifyHandlers(CLIHandler.java:234)<br>
at org.netbeans.CLIHandler.initialize(CLIHandler.java:519)<br>
at org.netbeans.CLIHandler.initialize(CLIHandler.java:384)<br>
at org.netbeans.MainImpl.execute(MainImpl.java:193)<br>
at org.netbeans.MainImpl.main(MainImpl.java:85)<br>
at org.netbeans.Main.main(Main.java:83)<br>
<br>
Sinon, connaissez vous un logiciel de généalogie,<br>
aisé à lancer et utiliser ?<br>
<br>
Merci,<br>
<br>
A. Valmer<br>
<br>
<br>
</div></div></div>
--0000000000009d4cdd05947b0976--
Fran=c3=a7ois LE GAD
Le #26527795
Le 09/10/2019 à 15:39, ajh-valmer a écrit :
Dans les paquets debian y'a gramps
https://packages.debian.org/buster/gramps
mais aussihttps://packages.debian.org/buster/geneweb
ou en mode textehttps://packages.debian.org/buster/lifelines

Merci,
Lequel est le plus aisé à utiliser ?


J'utilise Gramps, très complet. Il peut importer et exporter au format
gedcom.
Ancestris utilise directement le format gedcom.
Quel est le meilleur ? Chacun a son opinion. Je dirais que c'est celui
que tu maîtrises et qui répond à tes besoins.
--
François
G2PC
Le #26527804
Le 09/10/2019 à 14:51, ajh-valmer a écrit :
Bonjour à tous,
J'ai installé ancestris depuis leur site.
Mais impossible de le lancer, malgré java 7 installé.
"Cannot find java. Please use the --jdkhome switch"
Je déclare java dans ancestris.conf,
et voici la longue réponse :
Exception in thread "main" java.lang.UnsupportedClassVersionError:
org/openide/filesystems/FileUtil : Unsupported major.minor version 52.0
at java.lang.ClassLoader.defineClass1(Native Method)
at java.lang.ClassLoader.defineClass(ClassLoader.java:800)
at org.netbeans.JarClassLoader.doLoadClass(JarClassLoader.java:311)
at org.netbeans.ProxyClassLoader.selfLoadClass(ProxyClassLoader.java:259)
at org.netbeans.ProxyClassLoader.loadClass(ProxyClassLoader.java:187)
at java.lang.ClassLoader.loadClass(ClassLoader.java:358)
at org.netbeans.core.startup.CLIOptions.cli(CLIOptions.java:159)
at org.netbeans.core.startup.CLIOptions.cli(CLIOptions.java:98)
at org.netbeans.CLIHandler.notifyHandlers(CLIHandler.java:234)
at org.netbeans.CLIHandler.initialize(CLIHandler.java:519)
at org.netbeans.CLIHandler.initialize(CLIHandler.java:384)
at org.netbeans.MainImpl.execute(MainImpl.java:193)
at org.netbeans.MainImpl.main(MainImpl.java:85)
at org.netbeans.Main.main(Main.java:83)
Sinon, connaissez vous un logiciel de généalogie,
aisé à lancer et utiliser ?
Merci,
A. Valmer

Si cela peut t'aider :
https://wiki.visionduweb.fr/index.php?title=Installer_Configurer_Utiliser_des_logiciels_sur_GNU_Linux#Installer_JAVA_8
ajh-valmer
Le #26527970
Merci pour vos réponses.
C'était une erreur dans la ligne du ancestris.conf,
il se lance bien.
Maintenant, il faut savoir l'utiliser, pas une mince affaire :-)
Publicité
Poster une réponse
Anonyme